Bug 1422178 - Adding disk to a VM in RHV provider, via VM reconfigure, does not activate it
Summary: Adding disk to a VM in RHV provider, via VM reconfigure, does not activate it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: 5.7.1
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1422145
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-14 16:27 UTC by Satoe Imaishi
Modified: 2017-02-27 19:31 UTC (History)
4 users (show)

Fixed In Version: 5.7.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1422145
Environment:
Last Closed: 2017-02-27 19:31:49 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-02-14 16:30:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/bdf2737a98b6e850bdc37dfc5222e58ff1e26c04

commit bdf2737a98b6e850bdc37dfc5222e58ff1e26c04
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Feb 14 11:14:16 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Feb 14 11:28:58 2017 -0500

    Merge pull request #13913 from masayag/disks_should_be_added_as_active_in_rhv
    
    Disks should be added as 'active' in RHV
    (cherry picked from commit a094a959949f99513fed1aa15a6e9df24bc67ad8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422178

 .../providers/redhat/infra_manager/disk_attachment_builder.rb         | 3 +--
 .../providers/redhat/infra_manager/disk_attachment_builder_spec.rb    | 4 ++--
 .../manageiq/providers/redhat/infra_manager/provision/disk_spec.rb    | 2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

Comment 3 Ilanit Stein 2017-02-16 21:31:06 UTC
Verified on 5.7.1.2.20170214162958_ebaba61

For UP/Down RHEL VMs add disk, ended up with new added disk activated.

Comment 5 errata-xmlrpc 2017-02-27 19:31:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.